// FILENAME:	gDM_Solace.cs
//
// AUTHORS:  	SoMeOnE
//------------------------------------------------------------------------------

$missionName = "gDM_Solace";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = false;
   $server::disableTeamPurple = false;
}

function onMissionStart()
{
	iceSounds();
	marsSounds();
}

function player::onAdd(%this)
{
   player::onAddLog(%this);
	
	if($server::TeamPlay == true)
	{
      say(%this,0, *IDMULT_TDM_WELCOME);
	say(%this,0, "Welcome to gDM_Solace, a Ghosts Starsiege Expansion Multiplayer map. This map runs a custom terrian that"@
			" can be found at http://www.sunandshadows.com/ in the Files section. You need to be in Open GL or"@
			" Glide to view this map correctly.");
   }
	else
	{
      say(%this,0, *IDMULT_DM_WELCOME);
	say(%this,0, "Welcome to gDM_Solace, a Ghosts Starsiege Expansion Multiplayer map. This map runs a custom terrian that"@
			" can be found at http://www.sunandshadows.com/ in the Files section. You need to be in Open GL or"@
			" Glide to view this map correctly.");
   }
}

function onMissionLoad(){
   cdAudioCycle("NewTech", "Gnash", "Cyberntx"); 
}