// FILENAME:	gTDM_Crossroads.cs
//
// AUTHORS:  	SoMeOnE
//------------------------------------------------------------------------------
$server::HudMapViewOffsetX = -5096;
$server::HudMapViewOffsetY = 4096;
$missionName = "gTDM_Crossroads";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	
}

function onMissionStart()
{   
	$HercsAtDoor1 = 0;
	earthquakeSounds();
}

function player::onAdd(%this)
{
   player::onAddLog(%this);
	
	if($server::TeamPlay == true)
	{
      say(%this,0, *IDMULT_TDM_WELCOME);
	say(%this,0, "Welcome to gTDM_Crossroads, a Ghosts Starsiege Expansion Multiplayer map. This map runs a custom terrian that"@
			" can be found at http://www.sunandshadows.com/ in the Files section.");
   }
	else
	{
      say(%this,0, *IDMULT_DM_WELCOME);
	say(%this,0, "Welcome to gTDM_Crossroads, a Ghosts Starsiege Expansion Multiplayer map. This map runs a custom terrian that"@
			" can be found at http://www.sunandshadows.com/ in the Files section.");
   }
}

function onMissionLoad(){
   cdAudioCycle("Watching", "Terror"); 
}

function door1::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Door1\\door1"), 0, true);
	}
	$hercsAtDoor1 = $hercsAtDoor1 + 1;
}
function door1::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor1 = $hercsAtDoor1 - 1;
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Door1\\door1"), 0, false);
	}
}